Data Fields

# GRFFilePropsBase< Tcnt > Struct Template Reference

Data related to the handling of grf files. More...

`#include <newgrf_commons.h>`

## Data Fields
uint16 | local_id
| id defined by the grf file for this entity
struct GRFFile * | grffile
| grf file that introduced this entity
struct SpriteGroup * | spritegroup [Tcnt]
| pointer to the different sprites of the entity

## Detailed Description

### template<size_t Tcnt>
struct GRFFilePropsBase< Tcnt >

Data related to the handling of grf files.

Template Parameters:

  | Tcnt | Number of spritegroups

Definition at line 311 of file newgrf_commons.h.

The documentation for this struct was generated from the following file:

- src/newgrf_commons.h